START-STOP-DAEMON(8)

NAME
start-stop-daemon - start and stop system daemon programs

SYNOPSIS
start-stop-daemon -S|--start options ... -- arguments ...

start-stop-daemon -K|--stop options ...

start-stop-daemon -H|--help

start-stop-daemon -V|--version

DESCRIPTION
start-stop-daemon is used to control the creation and termination of system-level processes. Using the --exec , --pidfile , --user , and --name options, start-stop-daemon can be configured to find existing instances of a running process. With --start , start-stop-daemon checks for the existence of a specified process. If such a process exists, start-stop-daemon does nothing, and exits with error status 1 (0 if --oknodo is specified). If such a process does not exist, it starts an instance, using either the executable specified by --exec , (or, if specified, by --startas ). Any arguments given after -- on the command line are passed unmodified to the program being started. With --stop , start-stop-daemon also checks for the existence of a specified process. If such a process exists, start-stop-daemon sends it the signal specified by --signal , and exits with error status 0. If such a process does not exist, start-stop-daemon exits with error status 1 (0 if --oknodo is specified).

OPTIONS

-x|--exec executable
    Check for processes that are instances of this executable (according to /proc/ pid /exe ).

-p|--pidfile pid-file
    Check for processes whose process-id is specified in pid-file.

-u|--user username|uid
    Check for processes owned by the user specified by username or uid.

-n|--name process-name
    Check for processes with the name process-name (according to /proc/ pid /stat ).

-s|--signal signal
    With --stop , specifies the signal to send to processes being stopped (default 15).

-a|--startas pathname
    With --start , start the process specified by pathname. If not specified, defaults to the argument given to --exec.

-t|--test
    Print actions that would be taken and set appropriate return value, but take no action.

-o|--oknodo
    Return exit status 0 instead of 1 if no actions are (would be) taken.

-q|--quiet
    Do not print informational messages; only display error messages.

-v|--verbose
    Print verbose informational messages.

-H|--help
    Print help information; then exit.

-V|--version
    Print version information; then exit.

AUTHORS
Ian Jackson <ijackson@gnu.ai.mit.edu> Marek Michalkiewicz <marekm@i17linuxb.ists.pwr.wroc.pl> Manual page by Klee Dienes <klee@mit.edu>.